%define		plugin	check_iptables
Summary:	Nagios plugin to check count of iptables rules
Name:		nagios-plugin-%{plugin}
Version:	0.1
Release:	5
License:	GPL v2
Group:		Networking
Source0:	%{plugin}.sh
Source1:	%{plugin}.cfg
BuildRequires:	rpmbuild(macros) >= 1.685
Requires:	grep
Requires:	iptables
Requires:	nagios-common
Requires:	nagios-plugins-libs
Requires:	sed >= 4.0
Requires:	sudo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		nrpeddir	/etc/nagios/nrpe.d
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check count of iptables rules.

%prep
%setup -qcT
cp -p %{SOURCE0} %{plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{nrpeddir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
sed -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
touch $RPM_BUILD_ROOT%{nrpeddir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
	# setup sudo rules on first install
	%{plugindir}/%{plugin} -S || :
fi

%postun
if [ "$1" = 0 ]; then
	# remove all sudo rules related to us
	%{__sed} -i -e '/CHECK_IPTABLES/d' /etc/sudoers
fi

%triggerin -- nagios-nrpe
%nagios_nrpe -a %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%triggerun -- nagios-nrpe
%nagios_nrpe -d %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%ghost %{nrpeddir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Tue Jan 28 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_iptables.git;a=log;h=master

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 7150e1b
- hook into nrpe.d

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 77b38ba
- rename plugin to .sh

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> ad979f3
- release 4

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> 66c9290
- $* is local in function, save global value

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> 01226fc
- iptables -S not compatible with iptables 1.3; rel 3

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> 0fefbbe
- iptables -S not compatible with iptables 1.3

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> 66d601a
- release 2

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> 045c133
- use -S to list rules (more compact)
- setup sudo rules with exact commandline

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> f3708dd
- update summary

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> f4edd14
- nagios-plugins-libs for utils.sh

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> f519d7e
- cleanup, list complete command line args

* Thu Mar 18 2010 Elan Ruusamäe <glen@pld-linux.org> ac1ff40
- plugin to check if at least some iptables rules are present

